Subject: bug#2057: 23.0.60; delete key and deletechar

From: Robert Brown <[email-masked]>
Date: Thu, 16 Apr 2009 13:54:28 -0400

Dan Nicolaescu writes:
 > Robert Brown <[email-masked]> writes:
 > 
 >   > I believe the following patch may be the right fix for bug 2057.  When
 >   > looking at the key sequences generated by function keys, Emacs should only
 >   > register those that generate two or more ASCII characters.
 >   > 
 >   > My termcap entry, xterm-color, contains "kD=\177", which means that the
 >   > delete *function* key generates code 177.
 > 
 > Interesting, it seems that you have a modified termcap database, the normal one
 > has kD=\E[3~ for xterm-color.

Yes, it's definitely a bug in the termcap entry.  Hitting the delete
function key generates \E[3~ for me.  I can fix the termcap.

 > Can you try setting TERM to xterm-256color and see if that the delete
 > key works better then?

Switching to a different termcap works well.

I still think it may incorrect for Emacs to map single character function
key sequences.  But perhaps these just never occur in practice.

bob